StarObjectDrawInternal::State Struct Reference

Internal: the state of a StarObjectDraw. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::shared_ptr< StarObjectModel > | m_model
| the model
int | m_numPages
| the list of pages number

## Detailed Description

Internal: the state of a StarObjectDraw.

## Constructor & Destructor Documentation

## State()

StarObjectDrawInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_model

std::shared_ptr<StarObjectModel> StarObjectDrawInternal::State::m_model

the model

Referenced by State().

## m_numPages

int StarObjectDrawInternal::State::m_numPages

the list of pages number

Referenced by State().

The documentation for this struct was generated from the following file:

- StarObjectDraw.cxx